import numpy as np

class ChainOptimal():
    def __init__(self):
        self.value_table = np.zeros(1001)

    def reset(self):
        pass

    def interact(self, reward, next_state):

        next_action = 1

        self.last_state = next_state
        self.last_action = next_action

        return self.last_action

    def update_model(self, reward, state):
        pass
